(defun c:koor (/ tsty odz espas dp txh mirtxo nokta n1 yz1 yz2 ti1 ti2 t1 t2
                 p1x p2x n2 n3 n4 aci)
  (command "_.undo" "group") (setvar "cmdecho" 0)
  (setq tsty  (getvar "TEXTSTYLE") odz (getvar "dimzin") espas 0.7071)
  (setvar "dimzin" 0) (if (not odp) (setq odp 2))
  (setq mirtxo (getvar "mirrtext")) (setvar "mirrtext" 0)
  (if (setq dp (getint
                 (strcat "\nOndalk Basamak Says <" (itoa odp) ">: ")))
    (setq odp dp) (setq dp odp))
  (if (not oth) (setq oth (getvar "TEXTSIZE")))
  (if (setq txh (getreal
              (strcat "\n      Yaz Ykseklii <" (rtos oth 2 dp) ">: ")))
    (setq oth txh) (setq txh oth))
  (if (tblsearch "LAYER" "Koordinat")
    (command "LAYER" "c" "1" "Koordinat" "")
    (command "LAYER" "n" "Koordinat" "c" "1" "Koordinat" ""))
  (while (setq nokta (getpoint "\Koordinat Yazlacak Noktay seciniz : "))
    (setq n1  (getpoint nokta "\nKoordinatn Yazlaca Yeri seciniz : ")
          yz1 (strcat "x:" (rtos (car nokta) 2 dp))
          yz2 (strcat "y:" (rtos (cadr nokta) 2 dp))
          ti1 (list (+ (car n1) (* espas txh)) (+ (cadr n1) (* espas txh)) 0.0)
          ti2 (list (car ti1) (+ (cadr ti1) txh (* espas txh)) 0.0)
          aci (angle nokta n1))
    (entmake (list (cons 0 "TEXT") (cons 8 "Koordinat") (cons 40 txh)
                   (cons 1 yz1) (cons 50 0) (cons 10 ti2) (cons 7 tsty)))
    (setq t1 (entget (entlast)))
    (entmake (list (cons 0 "TEXT") (cons 8 "Koordinat") (cons 40 txh)
                   (cons 1 yz2) (cons 50 0) (cons 10 ti1) (cons 7 tsty)))
    (setq t2  (entget (entlast)) p1x (caar (textbox t2)))
    (if (> (caadr (textbox t1)) (caadr (textbox t2)))
      (setq p2x (caadr (textbox t1))) (setq p2x (caadr (textbox t2))))
    (setq lx (+ (- p2x p1x) (* 2 espas txh)) ly (* (+ 2.0 (* 3.0 espas)) txh))
    (cond ((and (>= aci 0) (<= aci (/ pi 2.0)))
           (setq n2 (polar n1 0 lx) n3 (polar n2 (/ pi 2.0) ly)
                 n4 (polar n3 pi lx)))
          ((and (> aci (/ pi 2.0)) (<= aci pi))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) pi lx))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) pi lx))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 pi lx) n3 (polar n2 (/ pi 2.0) ly) 
                 n4 (polar n3 0 lx)))
          ((and (> aci pi) (<= aci (* 1.50 pi)))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) pi lx))
                           (assoc 10 t1) t1)
                 t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) (* pi 1.50) ly))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) pi lx))
                           (assoc 10 t2) t2)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) (* pi 1.50) ly))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 pi lx) n3 (polar n2 (* pi 1.50) ly)
                 n4 (polar n3 0 lx)))
          ((> aci (* pi 1.50))
           (setq t1 (subst (cons 10 (polar (cdr (assoc 10 t1)) (* pi 1.50) ly))
                           (assoc 10 t1) t1)
                 t2 (subst (cons 10 (polar (cdr (assoc 10 t2)) (* pi 1.50) ly))
                           (assoc 10 t2) t2)) (entmod t1) (entmod t2)
           (entupd (cdr (assoc -1 t1))) (entupd (cdr (assoc -1 t2)))
           (setq n2 (polar n1 0 lx) n3 (polar n2 (* pi 1.50) ly)
                 n4 (polar n3 pi lx))))
    (entmake (list (cons 0 "LINE") (cons 100 "AcDbEntity") (cons 8 "Koordinat")
                   (cons 100 "AcDbLine") (cons 10 nokta) (cons 11 n1)))
    (entmake (list (cons 0 "LWPOLYLINE") (cons 100 "AcDbEntity") (cons 67 0)
                   (cons 8 "Koordinat") (cons 100 "AcDbPolyline") (cons 90 4)
                   (cons 70 1) (cons 10 n1) (cons 10 n2) (cons 10 n3)
                   (cons 10 n4))))
  (setvar "mirrtext" mirtxo) (setvar "dimzin" odz) (command "_.undo" "e")
  (prin1)
)